We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8395 - Change Reviewer's archive view
Change Reviewer's archive view
Product: OJS
Classification: Unclassified
Component: General
All All
: P3 normal
Assigned To: PKP Support
Depends on:
  Show dependency treegraph
Reported: 2013-08-14 18:39 PDT by Alec Smecher
Modified: 2015-02-26 11:55 PST (History)
0 users

See Also:
Version Reported In:
Also Affects:


Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-08-14 18:39:26 PDT
Michael, I should've noticed this during my review, but post-alpha the Reviewer's view of the archive should change.

Currently it lists submissions that are either published or rejected, that the reviewer worked with.

It should actually list all submissions a reviewer worked on, whatever their status (even those still in the editorial process), except those that are current active assignments.
Comment 1 Michael Thessel 2013-08-15 18:07:42 PDT
I refactored the assigned submissions data call in preparation. Pull request here:
Comment 2 Alec Smecher 2015-02-26 11:55:52 PST
Closing this entry for now.

Now that we have submission queues that aren't role-specific -- for example, the "Assigned Submissions" queue might have a few submissions that are assigned as Editor, and a few that are assigned as Reviewer, etc. -- mixing idioms is going to be confusing and complicated to code.

The two idioms are...
- Submissions are listed in the queue or moved to the archive based on the submission's status -- if the submission is published or rejected, it's in the arcihve; otherwise it's in the Assigned Submissions list. This is the case for almost all queues in OJS 2.x.
- Submissions are listed in the queue or moved to the archive based on the status of the user's task. This is the case in OJS for the reviewer's queue. Submissions are moved to the archive as soon as the review assignment is done.

I'd suggest keeping the idiom consistent ("it's moved to the archive when it's published or rejected"). Reviewers will typically act on submission-specific URLs sent to them in emails and will not make heavy use of the dashboard. Their task listings will be task-specific, so perhaps it's worth directing them there.

If we revisit this, let's do some testing first.